Bug 1269775 - screen crashes sometimes since upgrade to 4.3.1
screen crashes sometimes since upgrade to 4.3.1
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: screen (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Josef Ridky
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-08 04:00 EDT by Stefan Ring
Modified: 2016-07-19 14:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:08:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Ring 2015-10-08 04:00:06 EDT
Description of problem:

When resizing a window with an active screen session, the session master crashes.


Version-Release number of selected component (if applicable):

4.3.1-1.fc22


How reproducible:

It's not easily reproducable. I usually open a new screen session inside of an xterm by running "screen" without any parameters. Sometimes, the window becomes to small for my taste, and I need to resize it. When I have vim running in the active screen and resize the xterm window using the mouse (so it’s actually doing many resizes per second), the "SCREEN" process sometimes dies and takes all sub-screens with it. A later "screen -ls" lists the affected session as (dead?).

Steps to Reproduce:
1. Run screen inside xterm
2. Run vim inside screen
3. Resize xterm window

Actual results:

xterm contents freeze

Expected results:

xterm contents resize

Additional info:

I have not set a single non-default option for xterm, AFAIR. For screen, the only setting in ~/.screenrc is "defscrollback 20000".

Something must have changed in screen with the way lines are broken or reflowed. Even after successful resizes, I notice that lines on other screens, which have not been visible during the resize, are messed up. It hasn’t been this way with the previous version of screen.
Comment 1 Fedora Admin XMLRPC Client 2016-07-11 06:24:45 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora End Of Life 2016-07-19 14:08:50 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.